Currency

The currency resource.

Basehttps://rest.carbon.ms/currency
GET/currency

List currencys

Retrieve a paginated list of currencys. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/currency
curl --request GET \
  --url 'https://rest.carbon.ms/currency?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "code": "string",
    "exchangeRate": 0,
    "decimalPlaces": 0,
    "active": true,
    "createdBy": "string",
    "createdAt": "2026-01-01T00:00:00Z",
    "companyGroupId": "xyz789"
  }
]
GET/currency

Retrieve a currency

Fetch a single currency by filtering on `id`.

Query parameters

idstring

Match on the currency's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/currency
curl --request GET \
  --url 'https://rest.carbon.ms/currency?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "code": "string",
  "exchangeRate": 0,
  "decimalPlaces": 0,
  "active": true,
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "companyGroupId": "xyz789"
}
POST/currency

Create a currency

Create a new currency.

Body parameters

codestringrequired

References currencyCode.code

exchangeRatenumberrequired
decimalPlacesnumberrequired
activebooleanrequired
customFieldsobject
tagsarray
companyGroupIdstringrequired

References companyGroup.id

historicalExchangeRatenumber
POSThttps://rest.carbon.ms/currency
curl --request POST \
  --url https://rest.carbon.ms/currency \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"code":"string","exchangeRate":0,"decimalPlaces":0,"active":true,"companyGroupId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "code": "string",
  "exchangeRate": 0,
  "decimalPlaces": 0,
  "active": true,
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "companyGroupId": "xyz789"
}
PATCH/currency

Update a currency

Update an existing currency, matched on `id`.

Body parameters

codestringrequired

References currencyCode.code

exchangeRatenumberrequired
decimalPlacesnumberrequired
activebooleanrequired
customFieldsobject
tagsarray
companyGroupIdstringrequired

References companyGroup.id

historicalExchangeRatenumber
PATCHhttps://rest.carbon.ms/currency
curl --request PATCH \
  --url 'https://rest.carbon.ms/currency?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"code":"string"}'
Response
{
  "id": "abc123def456",
  "code": "string",
  "exchangeRate": 0,
  "decimalPlaces": 0,
  "active": true,
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "companyGroupId": "xyz789"
}
DELETE/currency

Delete a currency

Delete a currency, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the currency to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/currency
curl --request DELETE \
  --url 'https://rest.carbon.ms/currency?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content